#Set up the script to run the interpreter
#!/bin/bash

#Appends the second parameter string to the end of the first parameter file
Data_Insertion()
{
	if grep -w -q ^$2 $1
	then
	    echo "It already exists and does not need to be added"
	else
	    echo $2 >> $1
	fi
}


#Driver Start Settings
echo "Driver Start Settings"

#Added to make openbox directory
mkdir /home/volumio/.config/openbox

#Jump to the driver package directory
cd ./Driver_package

#Move driver file
sudo cp WS_xinchDSI_Touch.ko /lib/modules/$(uname -r)
sudo cp WS_xinchDSI_Screen.ko /lib/modules/$(uname -r)
sudo cp WS_xinchDSI_Touch.dtbo /boot/overlays
sudo cp WS_xinchDSI_Screen.dtbo /boot/overlays

#Added to copy autostart file for diplay rotation
sudo cp autostart /home/volumio/.config/openbox

#Jump to the driver installation directory
cd /lib/modules/$(uname -r)

#Install driver
sudo depmod
sudo modprobe WS_xinchDSI_Touch
sudo modprobe WS_xinchDSI_Screen

#Jump to the config configuration directory
cd /boot

#set userconfig 
Data_Insertion userconfig.txt  "ignore_lcd=1"
Data_Insertion userconfig.txt  "dtoverlay=vc4-kms-v3d"
Data_Insertion userconfig.txt  "dtparam=i2c_vc=on"
Data_Insertion userconfig.txt  "dtparam=i2c_arm=on"
Data_Insertion userconfig.txt  "dtoverlay=WS_xinchDSI_Screen,$1,$2"

if [ "SCREEN_type=0" = "$1" ];then
	Data_Insertion userconfig.txt  "dtoverlay=WS_xinchDSI_Touch,$2,invertedy,swappedxy"
fi
if [ "SCREEN_type=1" = "$1" ];then
	Data_Insertion userconfig.txt  "dtoverlay=WS_xinchDSI_Touch,$2,invertedx,swappedxy"
fi
if [ "SCREEN_type=2" = "$1" ];then
	Data_Insertion userconfig.txt  "dtoverlay=WS_xinchDSI_Touch,$2"
fi
if [ "SCREEN_type=3" = "$1" ];then
	Data_Insertion userconfig.txt  "dtoverlay=WS_xinchDSI_Touch,$2"
fi
if [ "SCREEN_type=4" = "$1" ];then
	Data_Insertion userconfig.txt  "dtoverlay=WS_xinchDSI_Touch,$2"
fi
if [ "SCREEN_type=5" = "$1" ];then
	Data_Insertion userconfig.txt  "dtoverlay=WS_xinchDSI_Touch,$2,invertedx,invertedy"
fi
if [ "SCREEN_type=6" = "$1" ];then
	Data_Insertion userconfig.txt  "dtoverlay=WS_xinchDSI_Touch,$2,invertedx,invertedy"
fi

#Driver end Settings
echo "Driver end Settings"